=== renamed file 'bzrlib/termcolor.py' => 'bzrlib/_termcolor.py'
=== modified file 'bzrlib/plugins/grep/cmds.py'
--- bzrlib/plugins/grep/cmds.py	2012-08-02 10:38:21 +0000
+++ bzrlib/plugins/grep/cmds.py	2012-08-23 15:04:34 +0000
@@ -147,7 +147,7 @@
             path_list=None, revision=None, pattern=None, include=None,
             exclude=None, fixed_string=False, files_with_matches=False,
             files_without_match=False, color=None, diff=False):
-        from bzrlib import termcolor
+        from bzrlib import _termcolor
         from bzrlib.plugins.grep import (
             grep,
             )
@@ -208,7 +208,7 @@
         elif color == 'never':
             show_color = False
         elif color == 'auto':
-            show_color = termcolor.allow_color()
+            show_color = _termcolor.allow_color()
 
         GrepOptions.verbose = verbose
         GrepOptions.ignore_case = ignore_case

=== modified file 'bzrlib/plugins/grep/grep.py'
--- bzrlib/plugins/grep/grep.py	2012-08-03 11:39:53 +0000
+++ bzrlib/plugins/grep/grep.py	2012-08-23 15:04:34 +0000
@@ -24,7 +24,7 @@
 import re
 from cStringIO import StringIO
 
-from bzrlib.termcolor import color_string, re_color_string, FG
+from bzrlib._termcolor import color_string, re_color_string, FG
 
 from bzrlib.revisionspec import (
     RevisionSpec,

=== modified file 'bzrlib/plugins/grep/test_grep.py'
--- bzrlib/plugins/grep/test_grep.py	2012-08-03 11:39:53 +0000
+++ bzrlib/plugins/grep/test_grep.py	2012-08-23 15:04:34 +0000
@@ -21,7 +21,7 @@
 import unicodedata as ud
 
 from bzrlib import tests, osutils
-from bzrlib.termcolor import color_string, FG
+from bzrlib._termcolor import color_string, FG
 
 from bzrlib.tests.features import (
     ColorFeature,

=== modified file 'bzrlib/tests/features.py'
--- bzrlib/tests/features.py	2012-08-02 10:38:21 +0000
+++ bzrlib/tests/features.py	2012-08-23 15:04:34 +0000
@@ -497,7 +497,7 @@
 class _ColorFeature(Feature):
 
     def _probe(self):
-        from bzrlib.termcolor import allow_color
+        from bzrlib._termcolor import allow_color
         return allow_color()
 
     def feature_name(self):

